/// <reference types="react" />
import "./styles.module.css";
import { DashboardPM } from './types/Dashboard';
import { Widget } from './types/widget';
declare type DashboardProps = {
    token: string;
    tenant: number;
    userId: string;
    dashboard: DashboardPM;
    openAddEditWidget: (widget: Widget) => void;
    openAddEditDashboard: (dashboard: DashboardPM) => void;
    onChangeDashboard: (dashboard: DashboardPM) => void;
    onSaveDashboard: (dashboard: DashboardPM) => void;
};
declare const Dashboard: (props: DashboardProps) => JSX.Element;
export default Dashboard;
